#ifndef __SERIALIO_H__
#define __SERIALIO_H__

#include <linux/input.h>
#include <sys/time.h>

#define SERIALIO_FOOT		1

typedef struct _serialio_data {
	int fd;

} serialio_data_t;

serialio_data_t* serialio_new();
int serialio_open(serialio_data_t* serialio);
void serialio_close(serialio_data_t* serialio);

int serialio_set_footled (serialio_data_t* serialio, int led);
int serialio_toggle_footled (serialio_data_t* serialio);
int serialio_get_foot (serialio_data_t* serialio);

#endif /* __SERIALIO_H__ */
